import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { StochRSIIndicator } from "./StochRSIIndicator";
/**
 * Represents a IgxDataChartComponent StochRSI indicator series.
 * Default required members: Close
*/
export class IgrStochRSIIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new StochRSIIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current StochRSIIndicator object.
     * The typical, and initial, value for StochRSI periods is 14.
    */
    get period() {
        return this.i.ql;
    }
    set period(v) {
        this.i.ql = +v;
    }
}
